Follow

Firefox 74 re-introduces outdated TLS 1.0 and TLS 1.1 due to current pandemic:

mozilla.org/en-US/firefox/74.0

"We reverted the change for an undetermined amount of time to better enable access to critical government sites sharing COVID19 information."

Context: TLS versions older than 1.2 are considered insecure and were disabled in Firefox 74. The long-term goal is to completely remove outdated TLS from all current web browsers.

tls11

@infosechandbook I'm deeply frustrated that this is even necessary in the first place, but I'm really glad to see Mozilla acknowledging their influence and acting responsibly

Sign in to participate in the conversation
chaos.social

chaos.social – a Fediverse instance for & by the Chaos community